Fungsinya
Alat ini memeriksa apakah alamat email ditulis dengan benar. Tempel satu alamat atau seluruh daftar, dan setiap alamat ditandai valid atau tidak valid beserta alasannya, seperti @ yang hilang, dua titik berturut-turut, domain tanpa titik, atau karakter yang tidak diizinkan. Alat ini berguna untuk membersihkan daftar email sebelum diimpor, memeriksa aturan input formulir, atau menemukan satu baris rusak di ekspor CSV.
Alat ini hanya memeriksa format. Alat ini tidak menghubungi server email mana pun, sehingga tidak bisa mengetahui apakah mailbox-nya ada atau menerima email.
Cara menggunakan
- Tempel alamat ke kotak input, satu per baris. Koma dan titik koma juga bisa dipakai sebagai pemisah, jadi Anda bisa langsung menempel baris To:.
- Hasil muncul saat Anda mengetik, dengan ringkasan jumlah alamat yang valid dan tidak valid.
- Gunakan Tampilkan untuk menampilkan semua, hanya yang valid, atau hanya yang tidak valid. Hapus duplikat membuang alamat yang berulang; domain dibandingkan tanpa memedulikan huruf besar-kecil.
- Tekan Salin yang valid untuk menyalin daftar yang bersih, satu alamat per baris.
Nama tampilan juga ditangani: Bob Smith <bob@example.com> diperiksa sebagai bob@example.com dengan catatan bahwa namanya telah dihapus.
Apa yang diperiksa
- Tepat satu
@(di luar tanda kutip), dengan isi di kedua sisinya. - Seluruh alamat paling banyak 254 karakter dan bagian sebelum
@paling banyak 64. - Bagian lokal memakai karakter yang diizinkan, tanpa titik di awal, di akhir, atau berturut-turut. Bagian lokal berkutip seperti
"john doe"@example.orgdiizinkan dengan peringatan. - Domain memiliki minimal dua label, masing-masing 1–63 karakter berupa huruf, angka, dan tanda hubung, tidak diawali atau diakhiri tanda hubung, serta top-level domain yang tampak nyata. IP literal seperti
admin@[192.168.0.1]diizinkan dengan peringatan. - Salah eja umum untuk domain populer, seperti
gmial.comatauqq.con, mendapat saran “maksud Anda”.
Contoh
alice@example.com valid
lisi@gmial.com valid, did you mean lisi@gmail.com?
two@@example.com invalid: more than one @
user@localhost invalid: domain needs a dot
用户@例子.中国 valid, internationalized address FAQ
› Apakah alat ini memeriksa apakah mailbox-nya ada?
Tidak. Ini hanya pemeriksaan sintaks. Alat ini tidak mencari atau menghubungi server email domain tersebut, sehingga sebuah alamat bisa lolos di sini tetapi tetap bounce. Memastikan keberadaan mailbox membutuhkan server, dan satu-satunya tes yang andal adalah mengirim email konfirmasi.
› Apakah alamat-alamat ini diunggah?
Tidak. Setiap pemeriksaan berjalan di browser Anda, sehingga daftar email Anda tidak pernah meninggalkan perangkat Anda.
› Aturan apa yang diikuti?
Sintaks alamat di RFC 5321 dan RFC 5322, ditambah alamat internasional dari RFC 6531. Bentuk usang seperti komentar di dalam alamat ditolak karena hampir tidak ada sistem email yang menerimanya.
› Mengapa alamat yang valid diberi peringatan?
Sebagian alamat sah tetapi berisiko: kemungkinan salah ketik seperti gmial.com, alamat IP sebagai pengganti domain, bagian lokal berkutip, atau karakter non-ASCII yang ditolak sebagian server. Alamat tersebut tetap dihitung valid.